.has-text-shadow-small {
	text-shadow: 1px 1px 3px rgb(0 0 0 / 30%);
}

.has-text-shadow-medium {
	text-shadow: 1px 2px 5px rgb(0 0 0 / 40%);
}

.has-text-shadow-hard {
	text-shadow: .25em .25em 0 rgb(0 0 0 / 20%);
}

.has-text-shadow-heavy {
	text-shadow:
		0px .25em 3px rgb(0 0 0 / 40%),
		0px .5em 13px rgb(0 0 0 / 10%),
		0px 1em 23px rgb(0 0 0 / 10%);
}

.has-backdrop-blur {
	--blur-amount: 5px;
	-webkit-backdrop-filter: blur(var(--blur-amount));
	backdrop-filter: blur(var(--blur-amount));
}

.blur-1 {
	--blur-amount: 1px
}

.blur-2 {
	--blur-amount: 2px
}

.blur-3 {
	--blur-amount: 3px
}

.blur-4 {
	--blur-amount: 4px
}

.blur-5 {
	--blur-amount: 5px
}

.blur-6 {
	--blur-amount: 6px
}

.blur-7 {
	--blur-amount: 7px
}

.blur-8 {
	--blur-amount: 8px
}

.blur-9 {
	--blur-amount: 9px
}

.blur-10 {
	--blur-amount: 10px
}

.blur-11 {
	--blur-amount: 11px
}

.blur-12 {
	--blur-amount: 12px
}

.blur-13 {
	--blur-amount: 13px
}

.blur-14 {
	--blur-amount: 14px
}

.blur-15 {
	--blur-amount: 15px
}

.blur-16 {
	--blur-amount: 16px
}

.blur-17 {
	--blur-amount: 17px
}

.blur-18 {
	--blur-amount: 18px
}

.blur-19 {
	--blur-amount: 19px
}

.blur-20 {
	--blur-amount: 20px
}


[class*="gallery-justify-"] .wp-block-image {
	flex-grow: 0 !important
}

.gallery-justify-start {
	justify-content: start
}

.gallery-justify-center {
	justify-content: center
}

.gallery-justify-end {
	justify-content: end
}


[class*="gallery-crop"] img {
	object-fit: cover
}

.gallery-crop-1-1 img {
	aspect-ratio: 1/1
}

.gallery-crop-3-2 img {
	aspect-ratio: 3/2
}

.gallery-crop-4-3 img {
	aspect-ratio: 4/3
}

.gallery-crop-16-9 img {
	aspect-ratio: 16/9
}

.gallery-crop-21-9 img {
	aspect-ratio: 21/9
}

.gallery-crop-2-1 img {
	aspect-ratio: 2/1
}


.gallery-radius-1 img {
	border-radius: 1px
}

.gallery-radius-2 img {
	border-radius: 2px
}

.gallery-radius-3 img {
	border-radius: 3px
}

.gallery-radius-4 img {
	border-radius: 4px
}

.gallery-radius-5 img {
	border-radius: 5px
}

.gallery-radius-6 img {
	border-radius: 6px
}

.gallery-radius-7 img {
	border-radius: 7px
}

.gallery-radius-8 img {
	border-radius: 8px
}

.gallery-radius-9 img {
	border-radius: 9px
}

.gallery-radius-10 img {
	border-radius: 10px
}

.gallery-radius-11 img {
	border-radius: 11px
}

.gallery-radius-12 img {
	border-radius: 12px
}

.gallery-radius-13 img {
	border-radius: 13px
}

.gallery-radius-14 img {
	border-radius: 14px
}

.gallery-radius-15 img {
	border-radius: 15px
}

.gallery-radius-16 img {
	border-radius: 16px
}

.gallery-radius-17 img {
	border-radius: 17px
}

.gallery-radius-18 img {
	border-radius: 18px
}

.gallery-radius-19 img {
	border-radius: 19px
}

.gallery-radius-20 img {
	border-radius: 20px
}

@media (max-width: 781px) {
	.has-1-column-on-tablet {
		grid-template-columns: 1fr !important
	}

	.has-2-columns-on-tablet {
		grid-template-columns: 1fr 1fr !important
	}
}

@media (max-width: 580px) {
	.has-1-column-on-mobile {
		grid-template-columns: 1fr !important
	}

	.has-2-columns-on-mobile {
		grid-template-columns: 1fr 1fr !important
	}
}

.has-fancy-shadow {
	position: relative !important;
	overflow: visible;
}

.has-fancy-shadow::after {
	content: '';
	background-image: var(--fancy-shadow-data);
	background-size: var(--shadow-width, 100%) var(--shadow-height, 50px);
	background-position: top center;
	background-repeat: no-repeat;
	position: absolute;
	top: 100%;
	width: var(--shadow-width, 100%);
	left: 0;
	right: 0;
	height: var(--shadow-height, 50px);
	opacity: var(--shadow-opacity, .5);
	z-index: 10;
	pointer-events: none;
	overflow: overflow;
}

.align-center {
	text-align: center !important
}

.align-center ul {
	list-style-position: inside;
	padding-inline-start: 0;
}

.align-center .is-layout-flex {
	justify-content: center;
}

@media (max-width: 580px) {
	.align-center-on-mobile {
		text-align: center !important
	}

	.align-center-on-mobile ul {
		list-style-position: inside;
		padding-inline-start: 0;
	}

	.align-center-on-mobile .is-layout-flex {
		justify-content: center;
	}
}

@media (max-width: 781px) {
	.align-center-on-tablet {
		text-align: center !important
	}

	.align-center-on-tablet ul {
		list-style-position: inside;
		padding-inline-start: 0;
	}

	.align-center-on-tablet .is-layout-flex {
		justify-content: center;
	}
}

.z1,
.zi-1 {
	z-index: 1;
	position: relative;
}

.z5,
.zi-5 {
	z-index: 5;
	position: relative;
}

.z10,
.zi-10 {
	z-index: 10;
	position: relative;
}

.z100,
.zi-100 {
	z-index: 100;
	position: relative;
}

.mr--1 {
	margin-right: -1rem !important
}

.mr--2 {
	margin-right: -2rem !important
}

.mr--3 {
	margin-right: -3rem !important
}

.mr--4 {
	margin-right: -4rem !important
}

.mr--5 {
	margin-right: -5rem !important
}

.mr--6 {
	margin-right: -6rem !important
}

.mr--7 {
	margin-right: -7rem !important
}

.mr--8 {
	margin-right: -8rem !important
}

.mr--9 {
	margin-right: -9rem !important
}

.mr--10 {
	margin-right: -10rem !important
}

.ml--1 {
	margin-left: -1rem !important
}

.ml--2 {
	margin-left: -2rem !important
}

.ml--3 {
	margin-left: -3rem !important
}

.ml--4 {
	margin-left: -4rem !important
}

.ml--5 {
	margin-left: -5rem !important
}

.ml--6 {
	margin-left: -6rem !important
}

.ml--7 {
	margin-left: -7rem !important
}

.ml--8 {
	margin-left: -8rem !important
}

.ml--9 {
	margin-left: -9rem !important
}

.ml--10 {
	margin-left: -10rem !important
}

@media (max-width: 781px) {
	.jc-c-m {
		justify-content: center
	}
}

@media (max-width: 580px) {
	.order-first-on-mobile {
		order: -1;
	}
}

@media (max-width: 781px) {
	.order-first-on-tablet {
		order: -1;
	}
}

/* Show/hide elements based on screen size */
@media (min-width: 1200px) {
	.show-from-desktop { display: none !important }
}
@media (max-width: 991px) {
	.show-from-laptop { display: none !important }
}
@media (max-width: 781px) {
	.show-from-tablet { display: none !important }
}
@media (max-width: 580px) {
	.show-from-mobile { display: none !important }
}

/* Show/hide elements based on modal open state */
.show-in-modal { display: none !important }
.has-modal-open .show-in-modal { display: flex !important }
